| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::Error Class Reference

`#include <Error.hpp>`

## Public Member Functions
| Error (std::unique_ptr< ErrorImpl > impl) noexcept
| Error (const Error &error) noexcept
| ~Error () noexcept
const char * | getMessage () const noexcept
| Get the detailed error logs of SDK internal exceptions.
OBExceptionType | getExceptionType () const noexcept
| Get the exception type of the error, which can be used to determine which module is abnormal.
const char * | getName () const noexcept
| Get the name of the error function.
const char * | getArgs () const noexcept
| Get the parameter passed to the error interface.

## Detailed Description

Definition at line 14 of file Error.hpp.

## Constructor & Destructor Documentation

## ◆ Error() [1/2]

ob::Error::Error | ( | std::unique_ptr< ErrorImpl > | impl | ) |
| noexcept

## ◆ Error() [2/2]

ob::Error::Error | ( | const Error & | error | ) |
| noexcept

## ◆ ~Error()

ob::Error::~Error | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ getMessage()

const char * ob::Error::getMessage | ( |  | ) | const
| noexcept

Get the detailed error logs of SDK internal exceptions.

Returns
  A C-style string containing the error message.

## ◆ getExceptionType()

OBExceptionType ob::Error::getExceptionType | ( |  | ) | const
| noexcept

Get the exception type of the error, which can be used to determine which module is abnormal.

Returns
  The OBExceptionType enum value.

## ◆ getName()

const char * ob::Error::getName | ( |  | ) | const
| noexcept

Get the name of the error function.

Returns
  A C-style string containing the name of the error function.

## ◆ getArgs()

const char * ob::Error::getArgs | ( |  | ) | const
| noexcept

Get the parameter passed to the error interface.

Returns
  A C-style string containing the error interface parameter.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Error.hpp